HostingTeam members
Update team member
PUT
/api/team_members/{team_member_code}Updates a team member password and permissions.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
team_member_code*string
Team member code: T followed by 9 digits. Example: T123456789.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
password?string
New team member password. Must be at least 8 characters long and contain at least one letter and one number.
password_confirmation?string
Must match password.
permissions?string[]
Permission keys granted to the team member.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/team_members/string" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{}'Empty
{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}